package com.emr.entity.emrCode;

import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

public class T_Operate {
    private String patientId;

    private Short operateNo;

    private String operateCode;

    private String operateName;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date operateDate;

    private String operator;

    private String assistant1;

    private String assistant2;

    private String assistant3;

    private String anaesthesiaType;

    private String cut;

    private String anaesthesiaName;

    private String operCode;

    private String operName;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date operDate;

    private String operateClass;

    private String operationScale;

    private String chossurg;

    private String operdegr;

    private Short currentOperateNo;//该对象手术序号

    public Short getCurrentOperateNo() {
        return currentOperateNo;
    }

    public void setCurrentOperateNo(Short currentOperateNo) {
        this.currentOperateNo = currentOperateNo;
    }

    public String getPatientId() {
        return patientId;
    }

    public void setPatientId(String patientId) {
        this.patientId = patientId == null ? null : patientId.trim();
    }

    public Short getOperateNo() {
        return operateNo;
    }

    public void setOperateNo(Short operateNo) {
        this.operateNo = operateNo;
    }

    public String getOperateCode() {
        return operateCode;
    }

    public void setOperateCode(String operateCode) {
        this.operateCode = operateCode == null ? null : operateCode.trim();
    }

    public String getOperateName() {
        return operateName;
    }

    public void setOperateName(String operateName) {
        this.operateName = operateName == null ? null : operateName.trim();
    }

    public Date getOperateDate() {
        return operateDate;
    }

    public void setOperateDate(Date operateDate) {
        this.operateDate = operateDate;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator == null ? null : operator.trim();
    }

    public String getAssistant1() {
        return assistant1;
    }

    public void setAssistant1(String assistant1) {
        this.assistant1 = assistant1 == null ? null : assistant1.trim();
    }

    public String getAssistant2() {
        return assistant2;
    }

    public void setAssistant2(String assistant2) {
        this.assistant2 = assistant2 == null ? null : assistant2.trim();
    }

    public String getAssistant3() {
        return assistant3;
    }

    public void setAssistant3(String assistant3) {
        this.assistant3 = assistant3 == null ? null : assistant3.trim();
    }

    public String getAnaesthesiaType() {
        return anaesthesiaType;
    }

    public void setAnaesthesiaType(String anaesthesiaType) {
        this.anaesthesiaType = anaesthesiaType == null ? null : anaesthesiaType.trim();
    }

    public String getCut() {
        return cut;
    }

    public void setCut(String cut) {
        this.cut = cut == null ? null : cut.trim();
    }

    public String getAnaesthesiaName() {
        return anaesthesiaName;
    }

    public void setAnaesthesiaName(String anaesthesiaName) {
        this.anaesthesiaName = anaesthesiaName == null ? null : anaesthesiaName.trim();
    }

    public String getOperCode() {
        return operCode;
    }

    public void setOperCode(String operCode) {
        this.operCode = operCode == null ? null : operCode.trim();
    }

    public String getOperName() {
        return operName;
    }

    public void setOperName(String operName) {
        this.operName = operName == null ? null : operName.trim();
    }

    public Date getOperDate() {
        return operDate;
    }

    public void setOperDate(Date operDate) {
        this.operDate = operDate;
    }

    public String getOperateClass() {
        return operateClass;
    }

    public void setOperateClass(String operateClass) {
        this.operateClass = operateClass == null ? null : operateClass.trim();
    }

    public String getOperationScale() {
        return operationScale;
    }

    public void setOperationScale(String operationScale) {
        this.operationScale = operationScale == null ? null : operationScale.trim();
    }

    public String getChossurg() {
        return chossurg;
    }

    public void setChossurg(String chossurg) {
        this.chossurg = chossurg == null ? null : chossurg.trim();
    }

    public String getOperdegr() {
        return operdegr;
    }

    public void setOperdegr(String operdegr) {
        this.operdegr = operdegr == null ? null : operdegr.trim();
    }
}